Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.oci.xa
Class CallableStatement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Statement
            |
            +--weblogic.jdbc.oci.xa.PreparedStatement
                  |
                  +--weblogic.jdbc.oci.xa.CallableStatement

public class CallableStatement
extends PreparedStatement
implements java.sql.CallableStatement

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `close()`
`java.sql.Array` | `getArray(int i)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
`java.sql.Blob` | `getBlob(int i)`
`boolean` | `getBoolean(int parameterIndex)`
`byte` | `getByte(int parameterIndex)`
`byte[]` | `getBytes(int parameterIndex)`
`java.sql.Clob` | `getClob(int i)`
`java.sql.Date` | `getDate(int parameterIndex)`
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)`
`double` | `getDouble(int parameterIndex)`
`float` | `getFloat(int parameterIndex)`
`int` | `getInt(int parameterIndex)`
`long` | `getLong(int parameterIndex)`
`java.lang.Object` | `getObject(int parameterIndex)`
`java.lang.Object` | `getObject(int i, java.util.Map map)`
`java.sql.Ref` | `getRef(int i)`
`short` | `getShort(int parameterIndex)`
`java.lang.String` | `getString(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)`
`void` | `registerOutParameter(int parameterIndex, int sqlType)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `registerOutParameter(int paramIndex, int sqlType, java.lang.String typeName)`
`boolean` | `wasNull()`

Methods inherited from class weblogic.jdbc.oci.xa.PreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from class weblogic.jdbc.oci.xa.Statement
`addBatch, cancel, clearBatch, clearWarnings, execute, executeBatch, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Specified by:
    wasNull in interface java.sql.CallableStatement

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    getString in interface java.sql.CallableStatement

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Specified by:
    getBoolean in interface java.sql.CallableStatement

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    getByte in interface java.sql.CallableStatement

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    getShort in interface java.sql.CallableStatement

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Specified by:
    getInt in interface java.sql.CallableStatement

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Specified by:
    getLong in interface java.sql.CallableStatement

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Specified by:
    getFloat in interface java.sql.CallableStatement

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Specified by:
    getDouble in interface java.sql.CallableStatement

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Specified by:
    getBytes in interface java.sql.CallableStatement

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### close

    public void close()
               throws java.sql.SQLException

  Overrides:
    close in class PreparedStatement

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getDate in interface java.sql.CallableStatement

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Specified by:
    getTime in interface java.sql.CallableStatement

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Specified by:
    getTimestamp in interface java.sql.CallableStatement

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Specified by:
    getBigDecimal in interface java.sql.CallableStatement

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  Specified by:
    getRef in interface java.sql.CallableStatement

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  Specified by:
    getBlob in interface java.sql.CallableStatement

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  Specified by:
    getClob in interface java.sql.CallableStatement

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  Specified by:
    getArray in interface java.sql.CallableStatement

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Specified by:
    getObject in interface java.sql.CallableStatement

### registerOutParameter

    public void registerOutParameter(int paramIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Specified by:
    registerOutParameter in interface java.sql.CallableStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD